| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bcormut.cpp File Reference

A program to analyze protein sequences for correlated mutations. More...

`#include "seq_analysis.h"`
`#include "rwmolecule.h"`
`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to analyze protein sequences for correlated mutations.

Author
  Bernard Heymann

Date
  Created: 19990123
  Modified: 20110804

Definition in file bcormut.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 47 of file bcormut.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bcormut [options] input.pir output.pir",
"---------------------------------------------",
"Analyzes for correlated mutations in aligned protein sequences.",
"The -cutoff option must be used to do the correlated mutation analysis.",
"All sequence numbers and position numbers start at 1.",
"Sequence numbering is according to the input, including gaps.",
"Example: bcormut -verbose 7 -cutoff 0.4 -image coeff.map -datatype byte seq.pir",
" ",
"Actions:",
"-cutoff 0.3 Correlated mutations: cutoff to report.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype b Set the output image data type.",
"-reference 3 Reference sequence (default 1).",
" ",
"Input:",
"-properties file.star Property file (default = internal values).",
" ",
"Output:",
"-image file.map Correlation coefficient matrix as an image.",
" ",
NULL
}

Definition at line 20 of file bcormut.cpp.

## ◆ verbose

int verbose